#include "Brick.h"

void brick::drawlevel(Graphics & gfx)
{

	drawbricks(gfx, x, y);
	drawblock(gfx , x + 40, y);
  	drawbricks(gfx, x+80, y);
	drawblock(gfx, x + 120, y);
	drawbricks(gfx, x + 160, y);
	drawblock(gfx, x + 80, y-100);
	drawbricks(gfx, x + 1050, y);
	drawblock(gfx, x + 1090, y);
	drawbricks(gfx, x + 1130, y);
	drawbricks(gfx, x + 1170, y - 150);
	drawbricks(gfx, x + 1210, y - 150);
	drawbricks(gfx, x + 1250, y - 150);
	drawbricks(gfx, x + 1290, y - 150);
	drawbricks(gfx, x + 1330, y - 150);
	drawbricks(gfx, x + 1370, y - 150);
	drawbricks(gfx, x + 1410, y - 150);
	drawbricks(gfx, x + 1450, y - 150);
	drawbricks(gfx, x + 1490, y - 150);
	drawbricks(gfx, x + 1630, y - 150);
	drawbricks(gfx, x + 1670, y - 150);
	drawblock(gfx, x + 1710, y - 150);
	drawbricks(gfx, x + 1710, y);
}

void brick::drawbricks(Graphics & gfx, int x, int y)
{
	gfx.DrawRectDim(x, y, 40, 40, Colors::MakeRGB(187, 82, 27));
}

void brick::drawblock(Graphics & gfx, int x, int y)
{
	gfx.DrawRectDim(x, y, 40, 40, Colors::MakeRGB(255, 242, 0));
}



void brick::Update(Keyboard& kbd)
{
	if (kbd.KeyIsPressed(VK_RIGHT))
	{
		if (kbd.KeyIsPressed(VK_SHIFT))
		{
            x -= 10;
		}
		else
		{
			x -= 5;
		}
	}
}
